Bug 820666 - SELinux is preventing updatedb from 'open' accesses on the directory /usr/share/sagator.
SELinux is preventing updatedb from 'open' accesses on the directory /usr/sha...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e945dc9eeb66f9c21738418055d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 11:49 EDT by geminic86
Modified: 2012-05-11 01:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-11 01:20:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description geminic86 2012-05-10 11:49:13 EDT
libreport version: 2.0.8
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.4-3.fc16.i686
reason:         SELinux is preventing updatedb from 'open' accesses on the directory /usr/share/sagator.
time:           Thu 10 May 2012 11:48:45 AM EDT

description:
:SELinux is preventing updatedb from 'open' accesses on the directory /usr/share/sagator.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that updatedb should be allowed open access on the sagator directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep updatedb /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:locate_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:sagator_t:s0
:Target Objects                /usr/share/sagator [ dir ]
:Source                        updatedb
:Source Path                   updatedb
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           sagator-core-1.2.3-1.fc16.noarch
:Policy RPM                    selinux-policy-3.10.0-86.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-3.fc16.i686 #1 SMP Thu May 3
:                              15:01:22 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Thu 10 May 2012 03:29:07 AM EDT
:Last Seen                     Thu 10 May 2012 03:29:07 AM EDT
:Local ID                      310eb4f3-b4cd-4e4d-b4ab-af3fe6615049
:
:Raw Audit Messages
:type=AVC msg=audit(1336634947.556:700): avc:  denied  { open } for  pid=28103 comm="updatedb" name="sagator" dev="dm-1" ino=205695 scontext=system_u:system_r:locate_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sagator_t:s0 tclass=dir
:
:
:Hash: updatedb,locate_t,sagator_t,dir,open
:
:audit2allow
:
:#============= locate_t ==============
:allow locate_t sagator_t:dir open;
:
:audit2allow -R
:
:#============= locate_t ==============
:allow locate_t sagator_t:dir open;
:
Comment 1 Miroslav Grepl 2012-05-11 01:20:43 EDT
Please don't fill bugs related to sagator. This policy is not a part of our policy.

How I said you, if you have questions, please use fedora-selinux mailing list.

Note You need to log in before you can comment on or make changes to this bug.